#
# spec file for package python-pgmagick
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without  python2
Name:           python-pgmagick
Version:        0.7.4
Release:        bp155.2.12
Summary:        Yet Another Python wrapper for GraphicsMagick
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/hhatto/pgmagick/
Source:         https://files.pythonhosted.org/packages/source/p/pgmagick/pgmagick-%{version}.tar.gz
# PATCH-FIX-UPSTREAM https://github.com/hhatto/pgmagick/pull/47
Patch0:         reproducible.patch
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  ghostscript-fonts-std
BuildRequires:  pkgconfig
BuildRequires:  python-rpm-macros
BuildRequires:  pkgconfig(GraphicsMagick++)
%if 0%{?suse_version} >= 1500
BuildRequires:  libboost_python3-devel
%if %{with python2}
BuildRequires:  libboost_python-devel
%endif
%else
BuildRequires:  boost-devel
%endif
%python_subpackages

%description
The pgmagick package is a yet another boost.python based
wrapper for GraphicsMagick.

%prep
%setup -q -n pgmagick-%{version}
%patch0 -p1

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
mkdir tester
pushd tester
cp -r ../test .
%python_expand PYTHONPATH=%{buildroot}%{$python_sitearch} $python -m unittest discover -v
popd
rm -r tester

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitearch}/pgmagick/
%{python_sitearch}/pgmagick-%{version}-py*.egg-info/

%changelog
* Thu Apr 23 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix building without python2
* Mon Jun 24 2019 Bernhard Wiedemann <bwiedemann@suse.com>
- Add reproducible.patch to sort dir entries (boo#1041090)
* Thu May 10 2018 toddrme2178@gmail.com
- Fix boost dependency
* Thu May 10 2018 toddrme2178@gmail.com
- Update to version 0.7.4
  * fix libboost_python filename for macOSX environment with
    Homebrew. ( 8ad8f91 )
    setup.py now looks for libboost_python2x, libboost_python2x-mt,
    libboost_python3x and libboost_python3x-mt as well.
- Use license tag
* Tue Feb 13 2018 toddrme2178@gmail.com
- Update to version 0.7.2
  + No changelog available
* Sun Jan 21 2018 toddrme2178@gmail.com
- Fix dependencies on new versions of openSUSE
* Mon Aug 28 2017 toddrme2178@gmail.com
- Update to version 0.6.6
  + No changelog available
- Implement single-spec version
- Fix source URL
* Thu Sep  3 2015 toddrme2178@gmail.com
- Update to version 0.5.11
  + No changelog available
* Wed Dec  4 2013 p.drouand@gmail.com
- Update to version 0.5.7
  + No changelog available
- Remove SLE11 relative stuff; package doesn't build for it
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Fri May 25 2012 toddrme2178@gmail.com
- Add python 3 package
- Spec file cleanups
- Update to version 0.5.1
* Fri Sep 23 2011 saschpe@suse.de
- Update to version 0.4.2
* Sat Jan 29 2011 alexandre@exatati.com.br
- Initial packages (3.2) for openSUSE.
